<?php
require_once __DIR__ . '/vendor/autoload.php';

use ZetaNet\Client;

// Initialize the client with your API key
$client = new Client([
    'apiKey' => 'your_api_key_here',
    'baseUrl' => 'https://zetanet-api.incontrol.network/api'
]);

try {
    // Example 1: ISRA Check
    echo "Performing ISRA Check...\n";
    $israResult = $client->israCheck([
        'zipCode' => '1234AB',
        'houseNumber' => '42'
    ]);
    echo "ISRA Check Result:\n";
    print_r($israResult);
    echo "\n\n";

    // Example 2: Prequalification Check
    echo "Performing Prequalification Check...\n";
    $prequalificationResult = $client->prequalification([
        'zipCode' => '5678CD',
        'houseNumber' => '15',
        'extension' => '',
        'hasBroadband' => false,
        'hasPhone' => true,
        'productType' => 'ADSLTele'
    ]);
    echo "Prequalification Result:\n";
    print_r($prequalificationResult);
    echo "\n\n";

    // Example 3: Zipcode Check
    echo "Performing Zipcode Check...\n";
    $zipcodeResult = $client->zipcodeCheck([
        'zipCode' => '9012EF',
        'houseNumber' => '7',
        'extension' => '',
        'portfolio' => 'Teleworker'
    ]);
    echo "Zipcode Check Result:\n";
    print_r($zipcodeResult);

} catch (Exception $e) {
    echo "Error: " . $e->getMessage() . "\n";
}
